unit OptionsCSV;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls,
  regutil, compile, regFile;

type
  TOptionsCSVDlg = class(TForm)
    VraiCSVCB: TCheckBox;
    ValeursSeulesCB: TCheckBox;
    OKButton: TButton;
    CancelBtn: TButton;
    SaveDialog: TSaveDialog;
    procedure OKButtonClick(Sender: TObject);
  private
  public
  end;

var
  OptionsCSVDlg: TOptionsCSVDlg;

implementation

{$R *.fmx}

procedure TOptionsCSVDlg.OKButtonClick(Sender: TObject);
begin
with saveDialog do begin
    FileName := extractFileName(nomFichierData);
    defaultext := 'csv';
    if fileName='' then fileName := 'azerty';
    fileName := changeFileExt(fileName,'.CSV');
    if Execute then begin
       oCSV_vrai := vraiCSVCB.isChecked;
       oCSV_valeursSeules := valeursSeulesCB.isChecked;
       fileName := ChangeFileExt(FileName,'.CSV');
       FichierRegressi.ecritTableur(FileName);
    end;
end;  // with
end;

end.
