program regressi;

uses
  System.StartUpCopy,
  FMX.Forms,
  regMain in 'regMain.pas' {FRegressiMain},
  Images in 'Images.pas' {ImagesData: TDataModule},
  about in 'about.pas' {AboutBox},
  aideKey in 'aideKey.pas',
  avprobe in 'avprobe.pas',
  valeurs in 'valeurs.pas' {FValeurs},
  graphfft in 'graphfft.pas' {FGrapheFFT},
  RollingShutterCalc in 'RollingShutterCalc.pas',
  MediaPlayerForm in 'MediaPlayerForm.pas' {VideoForm},
  fft in 'fft.pas',
  varkeyb in 'varkeyb.pas' {NewClavierDlg},
  AideIncertitudeU in 'AideIncertitudeU.pas' {AideIncertitudeForm},
  graphker in 'graphker.pas',
  compile in 'compile.pas',
  constante in 'constante.pas' {ConstanteUnivDlg},
  cursdata in 'cursdata.pas' {ReticuleDataDlg},
  coordphys in 'coordphys.pas' {FcoordonneesPhys},
  regutil in 'regutil.pas',
  regprint in 'regprint.pas' {PrintDlg},
  systdiff in 'systdiff.pas',
  uniteker in 'uniteker.pas',
  supprdlg in 'supprdlg.pas' {SuppressionDlg},
  statCalc in 'statCalc.pas',
  regfile in 'regfile.pas',
  fmath in 'fmath.pas',
  fspec in 'fspec.pas',
  choixtang in 'choixtang.pas' {ChoixTangenteDlg},
  ChronoViewU in 'ChronoViewU.pas' {ChronoForm},
  EchelleBitmapU in 'EchelleBitmapU.pas' {EchelleBitmapDlg},
  options in 'options.pas' {OptionsDlg},
  OptionsAffModeleU in 'OptionsAffModeleU.pas' {OptionsAffModeleDlg},
  optfft in 'optfft.pas' {OptionsFFTDlg},
  optStat in 'optStat.pas' {StatOptDlg},
  optionsFiltrageU in 'optionsFiltrageU.pas' {OptionsFiltreDlg},
  grapheParamU in 'grapheParamU.pas',
  graphevariabU in 'graphevariabU.pas',
  MyShape in 'MyShape.pas',
  maths in 'maths.pas',
  PrintPdfU in 'PrintPdfU.pas' {PrintPdfForm},
  LoupeU in 'LoupeU.pas' {LoupeForm},
  BitmapU2 in 'BitmapU2.pas' {BitmapForm},
  ChronoBitmap2 in 'ChronoBitmap2.pas' {ChronoBitmapForm};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TFRegressiMain, FRegressiMain);
  Application.CreateForm(TImagesData, ImagesData);
  Application.CreateForm(TPrintPdfForm, PrintPdfForm);
  Application.CreateForm(TBitmapForm, BitmapForm);
  Application.CreateForm(TChronoBitmapForm, ChronoBitmapForm);
  Application.RegisterFormFamily('TForm', [TFRegressiMain]);
  Application.Run;
end.
