unit about;

interface

Uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,
  System.Inifiles,
//  System.Net.HttpClientComponent,
//  System.Net.URLClient,
//  System.Net.HttpClient,
//  System.IOUtils,
//  system.dateUtils,

  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Dialogs,
  FMX.Objects,
  FMX.Menus,
  FMX.ExtCtrls,
  FMX.Edit,
  FMX.StdCtrls,
  FMX.Platform,
  FMX.Controls.Presentation,

  regutil, images;

type
  TAboutBox = class(TForm)
    PanelCop: TPanel;
    OKButton: TButton;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Copyright: TLabel;
    NumeroVersionLabel: TLabel;
    Email: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    ReleaseBtn: TButton;
    VersionLabel: TLabel;
    CommentLabel: TLabel;
    procedure ReleaseBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    {$IFNDEF Store}
//    FClient: THTTPClient;
//    FAsyncResult: IAsyncResult;
//    FDownloadStream: TStream;
//    VersionFileName: string;
//    procedure DoEndDownload(const AsyncResult: IAsyncResult);
//    procedure SampleDownload;
//    procedure setIni;
    {$ENDIF}
  public
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.FMX}
{$R *.Macintosh.fmx MACOS}

procedure TAboutBox.ReleaseBtnClick(Sender: TObject);
const FileName = 'https://regressi.fr/MajRegressiM.html';
begin
  if not ouvreURL(FileName)
     then ShowMessage('Accs impossible  '+Filename)
end;

(*
procedure TAboutBox.DoEndDownload(const AsyncResult: IAsyncResult);
var
  LAsyncResponse: IHTTPResponse;
begin
  try
    LAsyncResponse := THTTPClient.EndAsyncHTTP(AsyncResult);
  finally
    LAsyncResponse := nil;
    FreeandNil(FDownloadStream);
  end;
  setIni;
end;
*)

procedure TAboutBox.FormCreate(Sender: TObject);
begin
{$IFDEF Store}
     ReleaseBtn.Visible := false;
{$ELSE}
     ReleaseBtn.Visible := true;
 //    FClient := THTTPClient.Create;
 //    VersionFileName := System.IOUtils.TPath.Combine(DocumentsPath, 'version.ini');
{$ENDIF}
end;

procedure TAboutBox.FormDestroy(Sender: TObject);
begin
  {$IFNDEF Store}
//   FClient.Free;
  {$ENDIF}
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
 {$IFDEF MACOS64}
    productName.text := 'Regressi pour MacOS Intel';
 {$ENDIF}
 {$IFDEF CPUARM64}
    productName.text := 'Regressi pour MacOS ARM';
 {$ENDIF}
 {$IFNDEF Store}
//    if DaysBetween(now,dateVerifVersion)>7 then sampleDownLoad else setIni;
 {$ENDIF}
end;

(*
procedure TAboutBox.SampleDownload;
const URL = 'https://regressi.fr/version.ini';
var
  LResponse: IHTTPResponse;
begin
    DateVerifVersion := now;
  try
    LResponse := FClient.Head(URL);
    LResponse := nil;
    // Create the file that is going to be dowloaded
    FDownloadStream := TFileStream.Create(VersionFileName, fmCreate);
    FDownloadStream.Position := 0;
    // Start the download process
    FAsyncResult := FClient.BeginGet(DoEndDownload, URL, FDownloadStream);
  finally
  end;
end;
*)

(*
procedure TAboutBox.setIni;
var
  Rini : TiniFile;
  ligne : string;
  NewNum,oldNum : string;
begin
    if fileExists(VersionFileName) then begin
      Rini := TiniFile.Create(VersionFileName);
      ligne := numeroVersionLabel.text;
      OldNum := ligne[9]+ligne[11]+ligne[13];
      try
        ligne := Rini.ReadString('Mac','Version','');
        NewNum := ligne[1]+ligne[3]+ligne[5];
        if NewNum.ToInteger>oldNum.ToInteger then begin
           VersionLabel.text := 'Version courante='+ligne;
           CommentLabel.text := Rini.ReadString('Mac','Comment','');
        end;
      finally
        Rini.free;
      end;
    end;
end;
*)

end.

